Array
(
)

Instalação do Kylix no Ubuntu 8.04

Woinch
   - 21 jul 2009

Pessoal, estou tentando instalar o Kylix no Ubuntu 8.04, alguém poderia me ajudar no seguinte erro que está me apresentando:

#Código

Checking dependencies...
WARNING: could not find stdint.h
WARNING: could not locate libX11.so
...
./setup.sh: line 350 [: vnc-1: expressão inteira esperada
./setup.sh: line 352 [: vnc-1: expressão inteira esperada
./setup.sh: line 354 [: vnc-1: expressão inteira esperada
./setup.sh: line 350 [: vnc-1: expressão inteira esperada
./setup.sh: line 352 [: vnc-1: expressão inteira esperada
./setup.sh: line 354 [: vnc-1: expressão inteira esperada
./setup.sh: line 350 [: x11-2: expressão inteira esperada
./setup.sh: line 352 [: x11-2: expressão inteira esperada
./setup.sh: line 354 [: x11-2: expressão inteira esperada
./setup.sh: line 350 [: x11-2: expressão inteira esperada
./setup.sh: line 352 [: x11-2: expressão inteira esperada
./setup.sh: line 354 [: x11-2: expressão inteira esperada
Libgtk version >= 1.2.0....FAILED


Estava tentando seguir o [URL=http://www.jsk.com.br/kylix-ubuntu.html]seguinte manual[/URL] mas na parte que fala sobre a instalação do Libgtk não é possível fazer, fala que não encontra o pacote. Tentei localizar no Gerenciador de Pacotes e só achei uma versão do Libgtk2.0 já instalado.

Qualquer ajuda é bem vinda.
Obrigado...


Woinch
   - 21 jul 2009

Consegui instalar esse pacote que faltava. Agora esta me apresentando somente o seguinte Warning:

#Código

WARNING: could not find stdint.h


Eu continuo com a instalação, mas no final ocorre a seguinte mensagem:

#Código
0¬ - Running script
.: 70: Can´t open /home/kylix/kylix3/bin/kylixpath
100¬ - /home/kylix/kylix3/README
100¬ - /home/kylix/kylix3/license.txt
.: 11: Can´t open /home/kylix/kylix3/bin/kylixpath


E não cria os arquivos para inicializar o Kylix (startdelphi, etc.)
Alguem pode me dar alguma dica?

Obrigado.


Builder
   - 13 ago 2009

O kylix não vai rodar, terá que usar o ubuntu/kubuntu 6.06 ou outra distro da mesma época. Mesmo que consiga instalar, a dependência de uma versão antiga do Wine vai impedir o funcionamento do IDE.

Se for apenas testar por testar, instale o kylix em uma máquina virtual com uma distro mais antiga.

Se pretende desenvolver, sugiro que faça em outra ferramenta de desenvolvimento como o NetBeans. O motivo é simples: O IDE do kylix já não roda em distros recentes e muito em breve nem mesmo os aplicativos desenvolvidos nele vão rodar e não há perspectiva alguma de que a Embarcadero vá ressuscitar/liberar patches/atualizações para o finado kylix (e eu na época ainda comprei a versão 3 professional achando que já estava sólido (cheio de bugs, principalmente em relatórios e acesso a dados), bah).


Woinch
   - 20 ago 2009

Infelizmente esse foi o único jeito.
Rodei ele no Slackware 10 e funcionou perfeitamente.

Muito obrigado pela atenção.